<?xml version="1.0" encoding="utf-8"?>
<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/LL_keys"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#FFF6F5F8"
    android:stretchColumns="*">

    <TableRow
        android:id="@+id/tableRow1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_7"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_weight="1"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="7"
            android:text="@string/Key_7"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_8"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_weight="1"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="8"
            android:text="@string/Key_8"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_9"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_weight="1"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="9"
            android:text="@string/Key_9"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30" />
    </TableRow>

    <TableRow
        android:id="@+id/tableRow2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_4"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:gravity="center"
            android:focusable="true"
            android:layerType="software"
            android:tag="4"
            android:text="@string/Key_4"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_5"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="5"
            android:text="@string/Key_5"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_6"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:layerType="software"
            android:gravity="center"
            android:tag="6"
            android:text="@string/Key_6"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30"/>
    </TableRow>

    <TableRow
        android:id="@+id/tableRow3"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_1"
            style="@style/ButtonBorderless"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:layerType="software"
            android:gravity="center"
            android:tag="1"
            android:text="@string/Key_1"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_2"
            style="@style/ButtonBorderless"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:layerType="software"
            android:gravity="center"
            android:tag="2"
            android:text="@string/Key_2"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_3"
            style="@style/ButtonBorderless"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:layerType="software"
            android:gravity="center"
            android:tag="3"
            android:text="@string/Key_3"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30"/>
    </TableRow>

    <TableRow
        android:id="@+id/tableRow4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="0.2"
        android:background="#FFDDEDFE">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_clear"
            style="@style/ButtonBorderless"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:layerType="software"
            android:gravity="center"
            android:longClickable="true"
            android:tag="99"
            android:text="@string/Key_clear"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_25"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_0"
            style="@style/ButtonBorderless"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginRight="2dp"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="0"
            android:text="@string/Key_0"
            android:textColor="@color/table_input_table_keypad"
            android:textSize="@dimen/sp_30" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/btn_all_number"
            android:layout_width="1dip"
            android:layout_height="fill_parent"
            android:layout_marginTop="1dp"
            android:layout_weight="1"
            android:background="@color/table_input_table_keypad"
            android:focusable="true"
            android:gravity="center"
            android:layerType="software"
            android:tag="98"
            android:text="所有"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_20" />
    </TableRow>
</TableLayout>